version: '3.8'

services:

  django_app:
    build:
      context: ./django_app
      dockerfile: dockefiles/Dockerfile.dev
      args:
        REQUIREMENTS_FILE: requirements.dev.txt
    ports:
      - "8000:8000"
    volumes:
      - ./django_app:/django_app
    env_file:
      - ./envs/django.env
    depends_on:
      - db
    command:  sh -c 'python manage.py runserver 0:8000'

  react_app:
    build:
      context: ./react_app
      dockerfile: dockefiles/Dockerfile.dev
      args:
        REQUIREMENTS_FILE: package.json
    ports:
      - "3000:3000"
    volumes:
      - ./react_app:/react_app
    env_file:
      - ./envs/react.env
    depends_on:
      - django_app
    command:  sh -c 'npm start'

  db:
    image: postgres
    restart: always
    env_file:
      - ./envs/db.env
    ports:
      - "5432"
    volumes:
      - ./storage/postgres:/var/lib/postgresql/data

        # redis:
        #   image: bitnami/redis
        #   env_file:
        #     - ./envs/redis.env
        #   volumes:
        #     - ./storage/redis:/bitnami/redis/data

  #celery:
  #flower:
